#include<stdio.h>
#include<conio.h>

int a, b, divisor=2, restomay, restomen, mayor, menor, mcd=1;

void main ()
{
clrscr();
printf("dime un numerin...");
scanf("%d", &a);
printf("dime otro numerin...");
scanf("%d", &b);
if (a>b)
{
	mayor=a;
	menor=b;
}
else
{
	mayor=b;
	menor=a;
}
while (menor>=divisor)
{
	restomay=mayor%divisor;
	restomen=menor%divisor;
	if (restomay==0 & restomen==0)
	{
		mayor=mayor/divisor;
		menor=menor/divisor;
		mcd=mcd*divisor;
	}
	else
	{
		divisor++;
	}
}
printf("el mcd de %d y %d es: %d si eres ciego te lo repito: %d", a, b, mcd, mcd);
getch();
}